lib/Tools/convert
changeset 10939 fe14e54594a3
child 11001 6754fa0f2af7
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/lib/Tools/convert	Fri Jan 19 11:53:21 2001 +0100
@@ -0,0 +1,42 @@
+#!/usr/bin/env bash
+#
+# $Id$
+# Author: David von Oheimb, TU Muenchen
+# License: GPL (GNU GENERAL PUBLIC LICENSE)
+#
+# DESCRIPTION: convert legacy tactic scripts to Isabelle/Isar tactic emulation
+
+
+## diagnostics
+
+PRG="$(basename "$0")"
+
+function usage()
+{
+  echo
+  echo "Usage: $PRG [FILES|DIRS...]"
+  echo
+  echo "  Recursively find .ML files, converting legacy tactic scripts to"
+  echo "  Isabelle/Isar tactic emulation."
+  echo "  Note: conversion is only approximated, based on some heuristics."
+  echo
+  echo "  Renames new versions of FILES by appending \".thy\"."
+  echo
+  exit 1
+}
+
+
+## process command line
+
+[ "$#" -eq 0 -o "$1" = "-?" ] && usage
+
+SPECS="$@"; shift "$#"
+
+
+## main
+
+#set by configure
+AUTO_PERL=perl
+
+find $SPECS \( -name \*.ML \) -print | \
+  xargs "$AUTO_PERL" -w "$ISABELLE_HOME/lib/scripts/convert.pl"